Replace List Users
Start Sync
Creates an empty draft version of the list where you can update users to be replaced without affecting the live version.
POST
/
v1
/
subscriber_list
/
{list_id}
/
start_sync
/
Start Sync
curl --request POST \
--url https://hub.suprsend.com/v1/subscriber_list/{list_id}/start_sync/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://hub.suprsend.com/v1/subscriber_list/{list_id}/start_sync/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hub.suprsend.com/v1/subscriber_list/{list_id}/start_sync/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list_id": "_list_id_",
"list_name": "_list_name_",
"list_description": "a brief of what type of users are part of this list",
"list_type": "static_list",
"subscribers_count": 0,
"source": null,
"is_readonly": false,
"status": "draft",
"track_user_entry": false,
"track_user_exit": false,
"requested_for_delete": false,
"created_at": "2025-04-06T23:18:59.601000Z",
"updated_at": "2025-04-06T23:18:59.601000Z",
"version_id": "01JR6PCW8H9K3H40XZV4A5R4KQ"
}{
"code": 404,
"error_code": "not_found",
"type": "NotFound",
"message": "list_id: ff not found",
"detail": "list_id: ff not found"
}Authorizations
Pass as Bearer <API_KEY>. Get API Key from SuprSend dashboard Developers -> API Keys section.
Path Parameters
Unique identifier of the list on which the sync needs to start to create a draft version
Response
201
start sync creates a draft version of the list with version_id. Use this version to update users in the draft list.
Was this page helpful?
Previous
Add Users to Draft ListAPI to add users in the draft list by passing its `version_id` returned in [Start Sync](/reference/start-sync) API response.
Next
⌘I
Start Sync
